## bluedevil 5.8.2

=== debian/changelog ===
bluedevil (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:16:32 +0200

bluedevil (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:54:14 +0200

bluedevil (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 13:59:22 +0200

bluedevil (4:5.8.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 Sep 2016 11:29:13 +0000

bluedevil (4:5.7.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Sep 2016 13:45:29 +0000

bluedevil (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 14:44:58 +0200

bluedevil (4:5.7.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Aug 2016 17:28:01 +0000

bluedevil (4:5.7.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2016 12:04:05 +0000

bluedevil (4:5.7.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Jul 2016 13:46:37 +0000

bluedevil (4:5.7.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 16:06:03 +0000

bluedevil (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Jul 2016 22:16:33 +0200

bluedevil (4:5.7.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Jul 2016 13:16:02 +0000

bluedevil (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 10:04:45 +0200

bluedevil (4:5.6.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Jun 2016 14:13:47 +0000

bluedevil (4:5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.5.5).
  * Add upstream metadata (DEP-12)
  * New upstream release (5.6.2).
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:24:39 +0200

bluedevil (4:5.6.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 May 2016 09:41:29 +0000

bluedevil (4:5.6.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Apr 2016 16:53:42 +0000

bluedevil (4:5.6.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Apr 2016 11:44:00 +0000

bluedevil (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:06 +0100

bluedevil (4:5.5.4-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial
  * Fix changelog syntax error. 

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 27 Jan 2016 20:04:03 +0000

## bluedevil 5.8.4

=== CMakeLists.txt ===
project(bluedevil)
set(PROJECT_VERSION "5.8.4")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(QT_MIN_VERSION "5.4.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Qml
    DBus)

find_package(KF5 MODULE REQUIRED COMPONENTS
    CoreAddons
    WidgetsAddons
    DBusAddons
    Notifications
    WindowSystem
    IconThemes
    Plasma
    I18n
    KIO
    BluezQt)

find_package(KDED REQUIRED)
find_package(SharedMimeInfo REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
bluedevil (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:26:59 +0100

=== debian/control ===
Source: bluedevil
Section: net
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Florian Reinhard <florian.reinhard@googlemail.com>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Mark Purcell <msp@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               kded5-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5bluezqt-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5dbusaddons-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5iconthemes-dev (>= 5.18.0~),
               libkf5notifications-dev (>= 5.18.0~),
               libkf5widgetsaddons-dev (>= 5.18.0~),
               libkf5windowsystem-dev (>= 5.18.0~),
               pkg-kde-tools (>= 0.15.16),
               libkf5plasma-dev (>= 5.18.0~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               shared-mime-info
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/bluedevil
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/bluedevil.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/bluedevil.git

Package: bluedevil
Architecture: linux-any
Depends: bluez (>= 5),
         bluez-obexd,
         plasma-framework,
         qml-module-org-kde-bluezqt,
         qml-module-org-kde-kio,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: pulseaudio-module-bluetooth | bluez-alsa
Description: KDE Bluetooth stack
 BlueDevil is a set of components which integrate Bluetooth in KDE.
 It contains:
  * A KDE Control Module (KCM) to configure all the Bluetooth-related options.
  * Integration with the KDE input/output system (KIO), which allows you to
    discover and explore Bluetooth devices from your favorite file browser.
  * A wizard to pair your devices and connect directly to services they offer,
    such as input (mouse, keyboard, Wiimote) and audio (headsets, phones).
  * A system tray application from where all BlueDevil actions can be done
    (disconnect devices, send files, configure, etc).
  * A daemon which listens to incoming requests, for example to receive files
    or to introduce a requested PIN.

## bluedevil 5.9.4

=== debian/changelog ===
bluedevil (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 20:00:24 +0000

bluedevil (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:54:19 +0000

bluedevil (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:07:25 +0000

bluedevil (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:22:19 +0000

bluedevil (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:56:35 +0000

bluedevil (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:46:56 +0000

bluedevil (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Simon Quigley ]
  * New upstream release (5.8.3)
  * Merge from Debian

  [ Rik Mills ]
  * New upstream release (5.8.4)
  * Replace build deps kio-dev & plasma-framework-dev with new libkf5kio-dev
    and libkf5plasma-dev

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:56:03 +0000

=== debian/control ===
--- 
+++ 
@@ -9,26 +9,26 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kded5-dev (>= 5.18.0~),
-               libkf5kio-dev (>= 5.18.0~),
-               libkf5bluezqt-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5notifications-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
-               libkf5windowsystem-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               kded5-dev (>= 5.31.0~),
+               libkf5bluezqt-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.15.16),
-               libkf5plasma-dev (>= 5.18.0~),
-               qtbase5-dev (>= 5.4.0~),
-               qtdeclarative5-dev (>= 5.4.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                shared-mime-info
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/bluedevil
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/bluedevil.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/bluedevil.git
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
 
 Package: bluedevil
 Architecture: linux-any

## bluedevil 5.9.5

=== debian/changelog ===
bluedevil (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:17:41 +0100

## bluedevil 5.10.5

=== debian/changelog ===
bluedevil (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:41:05 +0100

bluedevil (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:39:09 +0100

bluedevil (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:17:42 +0100

bluedevil (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:14:16 +0100

bluedevil (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:10:55 +0100

bluedevil (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:51:17 +0100

bluedevil (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:34:08 +0100

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kded5-dev (>= 5.31.0~),
-               libkf5bluezqt-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5notifications-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               kded5-dev (>= 5.36.0~),
+               libkf5bluezqt-dev (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5dbusaddons-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5iconthemes-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5notifications-dev (>= 5.36.0~),
+               libkf5plasma-dev (>= 5.36.0~),
+               libkf5widgetsaddons-dev (>= 5.36.0~),
+               libkf5windowsystem-dev (>= 5.36.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),

## bluedevil 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(bluedevil)
-set(PROJECT_VERSION "5.8.4")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12)

=== src/kcmodule/CMakeLists.txt ===
add_subdirectory(adapters)
add_subdirectory(devices)
add_subdirectory(global)

=== debian/changelog ===
bluedevil (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:51:19 +0100

bluedevil (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:03 +0000

bluedevil (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:41:39 +0000

bluedevil (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:11:44 +0000

bluedevil (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:49:15 +0000

bluedevil (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:37:51 +0000

bluedevil (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:13:21 -0600

bluedevil (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:57:19 +0000

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               kded5-dev (>= 5.36.0~),
-               libkf5bluezqt-dev (>= 5.36.0~),
-               libkf5coreaddons-dev (>= 5.36.0~),
-               libkf5dbusaddons-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5iconthemes-dev (>= 5.36.0~),
-               libkf5kio-dev (>= 5.36.0~),
-               libkf5notifications-dev (>= 5.36.0~),
-               libkf5plasma-dev (>= 5.36.0~),
-               libkf5widgetsaddons-dev (>= 5.36.0~),
-               libkf5windowsystem-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               kded5-dev (>= 5.42.0~),
+               libkf5bluezqt-dev (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5dbusaddons-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5iconthemes-dev (>= 5.42.0~),
+               libkf5kio-dev (>= 5.42.0~),
+               libkf5notifications-dev (>= 5.42.0~),
+               libkf5plasma-dev (>= 5.42.0~),
+               libkf5widgetsaddons-dev (>= 5.42.0~),
+               libkf5windowsystem-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),

## bluedevil 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(bluedevil)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12)

=== src/fileitemactionplugin/CMakeLists.txt ===
set(fileitemactionplugin_SRCS
   sendfileitemaction.cpp)

set(kded_bluedevil.xml ${CMAKE_SOURCE_DIR}/src/interfaces/kded_bluedevil.xml)
set_source_files_properties(${kded_bluedevil.xml} PROPERTIES INCLUDE ${CMAKE_SOURCE_DIR}/src/interfaces/kded_bluedevil_types.h)
qt5_add_dbus_interface(fileitemactionplugin_SRCS ${kded_bluedevil.xml} kdedbluedevil)

add_library(bluetoothfileitemaction MODULE ${fileitemactionplugin_SRCS})
kcoreaddons_desktop_to_json(bluetoothfileitemaction bluedevilfileitemaction.desktop)

target_link_libraries(bluetoothfileitemaction
    Qt5::Widgets
    KF5::I18n
    KF5::KIOFileWidgets)
target_include_directories(bluetoothfileitemaction SYSTEM
    PUBLIC $<TARGET_PROPERTY:KF5::BluezQt,INTERFACE_INCLUDE_DIRECTORIES>)

install(TARGETS bluetoothfileitemaction DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES bluedevilfileitemaction.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/sendfile/CMakeLists.txt ===
set(sendfilehelper_SRCS
    main.cpp
    discoverwidget.cpp
    sendfilewizard.cpp
    sendfilesjob.cpp
    debug_p.cpp

    pages/selectdeviceandfilespage.cpp
    pages/selectdevicepage.cpp
    pages/selectfilespage.cpp
    pages/connectingpage.cpp
    pages/failpage.cpp
)

ki18n_wrap_ui(sendfilehelper_SRCS
    discover.ui
    pages/selectfilediscover.ui
    pages/connecting.ui
    pages/failpage.ui
)

add_executable(bluedevil-sendfile ${sendfilehelper_SRCS})

target_link_libraries(bluedevil-sendfile
    Qt5::Widgets
    Qt5::DBus
    KF5::I18n
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::WidgetsAddons
    KF5::IconThemes
    KF5::KIOFileWidgets
    KF5::BluezQt
)

install(TARGETS bluedevil-sendfile DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.bluedevilsendfile.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
bluedevil (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:38:08 +0100

bluedevil (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:54:46 +0100

bluedevil (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:08 +0100

bluedevil (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:32:58 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/bluedevil
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma/([\d.]+)/bluedevil-([\d.]+)\.tar\.xz

## bluedevil 5.13.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,24 @@
+cmake_minimum_required(VERSION 3.0)
+
 project(bluedevil)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.13.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-cmake_minimum_required(VERSION 2.8.12)
+set(QT_MIN_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.42.0")
 
 configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)
 
-find_package(ECM REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(QT_MIN_VERSION "5.4.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
     Widgets
     Qml
     DBus)
 
-find_package(KF5 MODULE REQUIRED COMPONENTS
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     WidgetsAddons
     DBusAddons
@@ -28,7 +30,7 @@
     KIO
     BluezQt)
 
-find_package(KDED REQUIRED)
+find_package(KDED ${KF5_MIN_VERSION} REQUIRED)
 find_package(SharedMimeInfo REQUIRED)
 
 include(KDEInstallDirs)

=== debian/changelog ===
bluedevil (4:5.13.5-0ubuntu2) cosmic; urgency=medium

  * debian/patches: lubuntu_only-show-in-lxqt.patch
    - Show wizard and sendfile in LXQt menus.
  * debian/patches: lubuntu_add-to-system-category.patch
    - Add wizard and sendfile to System category.

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 28 Sep 2018 18:00:44 +0100

bluedevil (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:04 +0100

bluedevil (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 10:17:39 +0100

bluedevil (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:17:47 +0200

bluedevil (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:39:15 +0100

bluedevil (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:24:55 +0100

bluedevil (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:44 +0200

bluedevil (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:06 +0100

bluedevil (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:23:47 +0200

bluedevil (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:03 +0100

bluedevil (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:38 +0200

bluedevil (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:01 +0100

bluedevil (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:34 +0100

bluedevil (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:23 +0100

bluedevil (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:22 +0100

bluedevil (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump to Standards-Version 4.1.2
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:40 -0300

bluedevil (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:10 +0200

bluedevil (4:5.10.5-1) experimental; urgency=medium

  * New upstream release (5.10.3).
  * Document how to run bluedevil in in other DEs (Closes: 781012)
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:27:58 +0200

bluedevil (4:5.8.7-1) unstable; urgency=medium

  * New upstream release (5.8.7).
    + ReceiveFileJob: Don't cancel the request right after accepting it

      KNotification::closed is emitted also when one of the notification
      actions was triggered.

      KDE#376773

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 May 2017 18:35:52 +0200

bluedevil (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Mark Purcell <msp@debian.org>,
            Modestas Vainius <modax@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+           Maximiliano Curia <maxy@debian.org>,
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                kded5-dev (>= 5.42.0~),
                libkf5bluezqt-dev (>= 5.42.0~),
@@ -22,13 +22,13 @@
                libkf5widgetsaddons-dev (>= 5.42.0~),
                libkf5windowsystem-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
                shared-mime-info,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/bluedevil
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
 
 Package: bluedevil
 Architecture: linux-any
@@ -41,7 +41,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: pulseaudio-module-bluetooth | bluez-alsa
 Description: KDE Bluetooth stack
  BlueDevil is a set of components which integrate Bluetooth in KDE.

## bluedevil 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(bluedevil)
-set(PROJECT_VERSION "5.13.5")
+set(PROJECT_VERSION "5.14.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.42.0")
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.50.0")
 
 configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

=== debian/changelog ===
bluedevil (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:37 -0300

bluedevil (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:23 -0300

=== debian/control ===
--- 
+++ 
@@ -9,26 +9,26 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.42.0~),
-               kded5-dev (>= 5.42.0~),
-               libkf5bluezqt-dev (>= 5.42.0~),
-               libkf5coreaddons-dev (>= 5.42.0~),
-               libkf5dbusaddons-dev (>= 5.42.0~),
-               libkf5i18n-dev (>= 5.42.0~),
-               libkf5iconthemes-dev (>= 5.42.0~),
-               libkf5kio-dev (>= 5.42.0~),
-               libkf5notifications-dev (>= 5.42.0~),
-               libkf5plasma-dev (>= 5.42.0~),
-               libkf5widgetsaddons-dev (>= 5.42.0~),
-               libkf5windowsystem-dev (>= 5.42.0~),
+               extra-cmake-modules (>= 5.50.0~),
+               kded5-dev (>= 5.50.0~),
+               libkf5bluezqt-dev (>= 5.50.0~),
+               libkf5coreaddons-dev (>= 5.50.0~),
+               libkf5dbusaddons-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5iconthemes-dev (>= 5.50.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5notifications-dev (>= 5.50.0~),
+               libkf5plasma-dev (>= 5.50.0~),
+               libkf5widgetsaddons-dev (>= 5.50.0~),
+               libkf5windowsystem-dev (>= 5.50.0~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
                shared-mime-info,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/bluedevil
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil
 
 Package: bluedevil
 Architecture: linux-any

## bluedevil 5.15.4

=== debian/changelog ===
bluedevil (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:07:00 +0100

bluedevil (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:07:45 +0000

bluedevil (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:08:33 +0000

bluedevil (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:32:18 +0000

bluedevil (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:51:50 +0000

bluedevil (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:23:07 +0000

bluedevil (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:16 +0000

bluedevil (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:14:15 +0000

=== debian/control ===
--- 
+++ 
@@ -9,32 +9,32 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.50.0~),
-               kded5-dev (>= 5.50.0~),
-               libkf5bluezqt-dev (>= 5.50.0~),
-               libkf5coreaddons-dev (>= 5.50.0~),
-               libkf5dbusaddons-dev (>= 5.50.0~),
-               libkf5i18n-dev (>= 5.50.0~),
-               libkf5iconthemes-dev (>= 5.50.0~),
-               libkf5kio-dev (>= 5.50.0~),
-               libkf5notifications-dev (>= 5.50.0~),
-               libkf5plasma-dev (>= 5.50.0~),
-               libkf5widgetsaddons-dev (>= 5.50.0~),
-               libkf5windowsystem-dev (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
+               kded5-dev (>= 5.54.0~),
+               libkf5bluezqt-dev (>= 5.54.0~),
+               libkf5coreaddons-dev (>= 5.54.0~),
+               libkf5dbusaddons-dev (>= 5.54.0~),
+               libkf5i18n-dev (>= 5.54.0~),
+               libkf5iconthemes-dev (>= 5.54.0~),
+               libkf5kio-dev (>= 5.54.0~),
+               libkf5notifications-dev (>= 5.54.0~),
+               libkf5plasma-dev (>= 5.54.0~),
+               libkf5widgetsaddons-dev (>= 5.54.0~),
+               libkf5windowsystem-dev (>= 5.54.0~),
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.11.0~),
-               qtdeclarative5-dev (>= 5.11.0~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
                shared-mime-info,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/bluedevil
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluedevil.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluedevil
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluedevil
 
 Package: bluedevil
 Architecture: linux-any
 Depends: bluez (>= 5),
          bluez-obexd,
-         plasma-framework,
+         plasma-framework (>= 5.54.0~),
          qml-module-org-kde-bluezqt,
          qml-module-org-kde-kio,
          qml-module-org-kde-kquickcontrolsaddons,

## bluedevil 5.16.5

=== debian/changelog ===
bluedevil (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:22:57 +0100

bluedevil (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:43:46 +0100

bluedevil (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:04 +0100

bluedevil (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:21:58 +0100

bluedevil (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:22:07 +0100

bluedevil (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:34:47 +0100

bluedevil (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:47:51 +0100

bluedevil (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:46:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kded5-dev (>= 5.54.0~),
-               libkf5bluezqt-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5dbusaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5iconthemes-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5notifications-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5widgetsaddons-dev (>= 5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               kded5-dev (>= 5.58.0~),
+               libkf5bluezqt-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5dbusaddons-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5iconthemes-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5notifications-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5widgetsaddons-dev (>= 5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),

## bluedevil 5.18.3

=== debian/changelog ===
bluedevil (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:06:27 +0000

bluedevil (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:28:47 +0000

bluedevil (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:35:36 +0000

bluedevil (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:42:58 +0000

bluedevil (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:06:47 +0000

bluedevil (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:43:08 +0000

bluedevil (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:22:41 +0000

bluedevil (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:03:30 +0000

bluedevil (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:48:46 +0000

## bluedevil 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(bluedevil)
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.50.0")
+set(QT_MIN_VERSION "5.12.0")
+set(KF5_MIN_VERSION "5.66.0")
 
 configure_file(version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)
 
@@ -38,6 +38,11 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMOptionalAddSubdirectory)
 include(FeatureSummary)
+include(KDEClangFormat)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+endif()
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
@@ -45,5 +50,9 @@
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="bluedevil")

add_subdirectory(sendfile)
add_subdirectory(kded)
add_subdirectory(kcmodule)
add_subdirectory(kio)
add_subdirectory(wizard)
add_subdirectory(applet)

install(FILES bluedevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})

install(FILES bluedevil-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

=== src/kcmodule/adapters/CMakeLists.txt ===
set(kcm_bluedeviladapters_PART_SRCS
    adapters.cpp
    ../common/systemcheck.cpp)

set(kded.xml ${KDED_DBUS_INTERFACE})
qt5_add_dbus_interface(kcm_bluedeviladapters_PART_SRCS ${kded.xml} kded)

kconfig_add_kcfg_files(kcm_bluedeviladapters_PART_SRCS ../../settings/globalsettings.kcfgc)

add_library(kcm_bluedeviladapters MODULE ${kcm_bluedeviladapters_PART_SRCS})
kcoreaddons_desktop_to_json(kcm_bluedeviladapters bluedeviladapters.desktop)

target_link_libraries(kcm_bluedeviladapters
    Qt5::Widgets
    Qt5::DBus
    KF5::I18n
    KF5::ConfigWidgets
    KF5::BluezQt)

install(TARGETS kcm_bluedeviladapters DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES bluedeviladapters.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== src/kcmodule/devices/CMakeLists.txt ===
set(kcm_bluedevildevices_PART_SRCS
    devices.cpp
    devicedetails.cpp
    ../common/systemcheck.cpp)

set(kded.xml ${KDED_DBUS_INTERFACE})
qt5_add_dbus_interface(kcm_bluedevildevices_PART_SRCS ${kded.xml} kded)

ki18n_wrap_ui(kcm_bluedevildevices_PART_SRCS_UI devices.ui devicedetails.ui)

kconfig_add_kcfg_files(kcm_bluedevildevices_PART_SRCS ../../settings/globalsettings.kcfgc)

add_library(kcm_bluedevildevices MODULE ${kcm_bluedevildevices_PART_SRCS} ${kcm_bluedevildevices_PART_SRCS_UI})
kcoreaddons_desktop_to_json(kcm_bluedevildevices bluedevildevices.desktop)

target_link_libraries(kcm_bluedevildevices
    Qt5::Widgets
    Qt5::DBus
    KF5::I18n
    KF5::ConfigWidgets
    KF5::BluezQt)

install(TARGETS kcm_bluedevildevices DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES bluedevildevices.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
bluedevil (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               kded5-dev (>= 5.58.0~),
-               libkf5bluezqt-dev (>= 5.58.0~),
-               libkf5coreaddons-dev (>= 5.58.0~),
-               libkf5dbusaddons-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5iconthemes-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5notifications-dev (>= 5.58.0~),
-               libkf5plasma-dev (>= 5.58.0~),
-               libkf5widgetsaddons-dev (>= 5.58.0~),
-               libkf5windowsystem-dev (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
+               kded5-dev (>= 5.66.0~),
+               libkf5bluezqt-dev (>= 5.66.0~),
+               libkf5coreaddons-dev (>= 5.66.0~),
+               libkf5dbusaddons-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5iconthemes-dev (>= 5.66.0~),
+               libkf5kio-dev (>= 5.66.0~),
+               libkf5notifications-dev (>= 5.66.0~),
+               libkf5plasma-dev (>= 5.66.0~),
+               libkf5widgetsaddons-dev (>= 5.66.0~),
+               libkf5windowsystem-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),

## bluedevil 5.19.5

=== debian/changelog ===
bluedevil (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:52:19 +0100

bluedevil (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:40:36 +0100

bluedevil (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:56:51 +0100

bluedevil (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * Add runtime depend on qml-module-org-kde-kirigami2
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:44:08 +0100

bluedevil (4:5.18.5-0ubuntu2) UNRELEASED; urgency=medium

  * Add runtime depend on qml-module-org-kde-kirigami2

 -- Rik Mills <rikmills@kde.org>  Sat, 06 Jun 2020 17:05:47 +0100

bluedevil (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:37:55 +0100

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kded5-dev (>= 5.66.0~),
-               libkf5bluezqt-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5iconthemes-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5widgetsaddons-dev (>= 5.66.0~),
-               libkf5windowsystem-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               kded5-dev (>= 5.70.0~),
+               libkf5bluezqt-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5iconthemes-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5widgetsaddons-dev (>= 5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
@@ -37,6 +37,7 @@
          plasma-framework (>= 5.54.0~),
          qml-module-org-kde-bluezqt,
          qml-module-org-kde-kio,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
